 <div class="fancify-core-admin">
 	<header class="fancify-core-admin-header">
 		<div class="fancify-core-admin-container">
 			<div class="fancify-core-admin-header-title">
 				<img class="fancify-core-admin-logo" src="<?php echo esc_url( $logo ); ?>" alt="<?php esc_attr_e( 'splendorstudio', 'fancify-lite' ); ?>">
 				<h1 class="fancify-core-admin-title">
 					<?php esc_html_e( 'Welcome to Fancify', 'fancify-lite' ); ?>
 				</h1>
 				<div class="fancify-core-admin-version">
 					<?php esc_html_e( 'Version', 'fancify-lite' ); ?>
 					<span>
 						<?php echo esc_html( FANCIFY_VERSION ); ?>
 					</span>
 				</div>
 				<div class="fancify-core-admin-subtitle">
 					<?php esc_html_e( 'Let’s convert your imaginations website in realt estate to real things on the web!', 'fancify-lite' ); ?>
 				</div>
 			</div>
 			<ul class="fancify-core-admin-nav fancify-core-admin-clearfix">
 				<li class="<?php echo ( 'fancify_lite_' == $page ) ? esc_attr( 'active' ) : ''; ?>">
 					<a href="<?php echo esc_url( admin_url( 'admin.php?page=fancify_lite_', 'admin' ) ); ?>">
 						<?php esc_html_e( 'Welcome', 'fancify-lite' ); ?>
 					</a>
 				</li>
 			</ul>
 		</div>	
 	</header>
 	<div class="fancify-core-admin-body">
 		<div class="fancify-core-admin-container">
 			<div class="fancify-core-admin-box type1">
 				<h2 class="fancify-core-admin-box-title red">
 					<?php esc_html_e( 'Install Fancify Core Plugin', 'fancify-lite' ); ?>
 				</h2>
 				<span class="fancify-core-admin-box-separator red"></span>
 				<div class="fancify-welcome-core-install-container">

 					<div class="fancify-welcome-core-banner">
 						<!-- core banner -->
 						<img src="<?php echo esc_url( FANCIFY_ADMIN_ASSETS_URL . 'images/core-plugin-banner.jpg' ); ?>" alt="<?php esc_attr_e( 'fancify core banner', 'fancify-lite' ); ?>">
 					</div>

 					<div class="fancify-welcome-core-logo-container">
 						<div class="fancify-welcome-core-logo">
 							<!-- core logo -->
 							<img src="<?php echo esc_url( FANCIFY_ADMIN_ASSETS_URL . 'images/core-plugin-logo.png' ); ?>" alt="<?php esc_attr_e( 'fancify core plugin', 'fancify-lite' ); ?>">
 							<div class="fancify-welcome-core-logo-items">
 								<h3>
 									<?php esc_html_e( 'Fancify Core', 'fancify-lite' ); ?>
 								</h3>
 								<span>
 									<?php esc_html_e( 'by', 'fancify-lite' ); ?>
 								</span>
 								<a href="<?php echo esc_url( 'https://splendorstudio.net' ); ?>">
 									<?php esc_html_e( 'Splendor Studio', 'fancify-lite' ); ?>
 								</a>
 							</div>
 						</div>
 						<div class="fancify-main-button-blue fancify-btn-blue-black fancify-core-install-button">
 							<div class="fancify-ajax-loader-wrap">
 								<div class="fancify-ajax-loader"></div>
 							</div>
 							<a data-source="<?php echo esc_url( $source['url'] ); ?>" href="#">
 								<span>
 									<?php 
 									echo esc_html( ucwords( $source['type'] ) ); 
 									esc_html_e( ' fancify core plugin', 'fancify-lite' );
 									?>
 								</span>
 							</a>
 						</div>
 					</div>

 					<div class="fancify-welcome-core-plugin-description">
 						<?php esc_html_e( 'Fancify is a dynamic and fully customizable WordPress theme, made specifically for Real Estate professionals.This theme gives you all the tools required to create beautiful and professional real estate websites powered by WordPress without any technical knowledge. Fancify is a user friendly builder, using drag & drop methods and Elementor’s Page Editor. It is easy to navigate and puts the power and control back in the hands of the website owner. It is integrated with the latest version of WordPress and makes use of all the new features like the advanced Customizer, Custom Post Formats, Responsive Design, and more. Fancify allows you to quickly and easily create templates for 4 different kinds of pages/elements and offers 40+ customizable widgets.
 						With the theme dedicated only to the real estate industry, you will find tools like the Single Property or Single Agent builder, Property Widgets, Agency Post formats and more tools specific to real estate.', 'fancify-lite' ); ?>
 					</div>
 				</div>

 			</div>
 		</div>
 	</div>
 </div>
