<?php
/**
 * Echo the secondary sidebar structural markup. It also calls the secondary sidebar action hooks.
 *
 * @package SplendorStudio\Framework\Templates\Structure
 *
 * @since   1.0.0
 * @since   1.5.0 Added ID and tabindex for skip links.
 */

fancify_lite_open_markup_e(
    'fancify_lite_sidebar_secondary',
    'aside',
    array(
        'class'     => 'fancify-secondary ' . esc_attr( fancify_lite_get_layout_class( 'sidebar_secondary' ) ),
        'id'        => 'fancify-secondary-sidebar',
        'role'      => 'complementary',
        'itemscope' => 'itemscope',
        'itemtype'  => 'https://schema.org/WPSideBar',
        'tabindex'  => '-1',
    )
);

/**
 * Fires in the secondary sidebar.
 *
 * @since 1.0.0
 */
do_action('fancify_lite_sidebar_secondary');

fancify_lite_close_markup_e('fancify_lite_sidebar_secondary', 'aside');